/* 
   Unicode.h

   Support functions for Unicode implementation

   Copyright (C) 1997 Free Software Foundation, Inc.

   Author:	Stevo Crvenkovski <stevo@btinternet.com>
   Date:	March 1997

   This file is part of the mySTEP Library and is provided
   under the terms of the GNU Library General Public License.
*/

#ifndef _mySTEP_H_Unicode
#define _mySTEP_H_Unicode

unichar encode_chartouni(unsigned char c, NSStringEncoding enc);
char encode_unitochar(unichar u, NSStringEncoding enc);
unichar chartouni(char c);
char unitochar(unichar u);
int strtoustr(unichar * u1,const char *s1,int size);
int ustrtostr(char *s2,unichar *u1,int size);
int uslen (unichar *u);
unichar uni_tolower(unichar ch);
unichar uni_toupper(unichar ch);
unsigned char uni_cop(unichar u);
BOOL uni_isnonsp(unichar u);
unichar *uni_is_decomp(unichar u);
int encode_strtoustr(unichar * u1, const unsigned char *s1, int size, NSStringEncoding enc);
int encode_ustrtostr(unsigned char *s2, unichar *u1, int size, NSStringEncoding enc);

#endif /* _mySTEP_H_Unicode */
